<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4263
Name: Coverage Activity
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4263-2016-02-25T190030">
   <title>Coverage Activity</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4263
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]
Item: (CoverageActivity)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4263
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]
Item: (CoverageActivity)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]"
         id="d20e1021-false-d5277e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.4263-2016-02-25T190030.html"
              test="string(@classCode) = ('ACT')">(CoverageActivity): Der Wert von classCode MUSS 'ACT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.4263-2016-02-25T190030.html"
              test="string(@moodCode) = ('EVN')">(CoverageActivity): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.4263-2016-02-25T190030.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4263']) &gt;= 1">(CoverageActivity): Element hl7:templateId[@root = '1.2.276.0.76.10.4263'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.4263-2016-02-25T190030.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4263']) &lt;= 1">(CoverageActivity): Element hl7:templateId[@root = '1.2.276.0.76.10.4263'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.4263-2016-02-25T190030.html"
              test="count(hl7:code[(@code = '48768-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(CoverageActivity): Element hl7:code[(@code = '48768-6' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.4263-2016-02-25T190030.html"
              test="count(hl7:code[(@code = '48768-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(CoverageActivity): Element hl7:code[(@code = '48768-6' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.4263-2016-02-25T190030.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(CoverageActivity): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.4263-2016-02-25T190030.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(CoverageActivity): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.4263-2016-02-25T190030.html"
              test="count(hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]]) &gt;= 1">(CoverageActivity): Element hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.4263-2016-02-25T190030.html"
              test="count(hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]]) &lt;= 1">(CoverageActivity): Element hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4263
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:templateId[@root = '1.2.276.0.76.10.4263']
Item: (CoverageActivity)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:templateId[@root = '1.2.276.0.76.10.4263']"
         id="d20e1027-false-d5346e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.4263-2016-02-25T190030.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CoverageActivity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.4263-2016-02-25T190030.html"
              test="string(@root) = ('1.2.276.0.76.10.4263')">(CoverageActivity): Der Wert von root MUSS '1.2.276.0.76.10.4263' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4263
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:id
Item: (CoverageActivity)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4263
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:code[(@code = '48768-6' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (CoverageActivity)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:code[(@code = '48768-6' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e1034-false-d5369e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.4263-2016-02-25T190030.html"
              test="@nullFlavor or (@code='48768-6' and @codeSystem='2.16.840.1.113883.6.1')">(CoverageActivity): Der Elementinhalt MUSS einer von 'code '48768-6' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4263
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:statusCode[@code = 'completed']
Item: (CoverageActivity)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:statusCode[@code = 'completed']"
         id="d20e1043-false-d5383e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.4263-2016-02-25T190030.html"
              test="@nullFlavor or (@code='completed')">(CoverageActivity): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4263
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]]
Item: (CoverageActivity)
-->
   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.4263-2016-02-25T190030.html"
              test="string(@typeCode) = ('COMP')">(CoverageActivity): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
